Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4541)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4542)
@@ -6195,36 +6017,31 @@
                 DO WHILE ( c_run > 0.0_wp  .AND.  k_run <= nzt )
 
-                   flux  = flux + hyrho(k_run) * ( qr(k_run,j,i) +             &
-                                  qr_slope(k_run) * ( 1.0_wp - c_run ) *       &
+                   flux  = flux + hyrho(k_run) * ( qr(k_run,j,i) +                                 &
+                                  qr_slope(k_run) * ( 1.0_wp - c_run ) *                           &
                                   0.5_wp ) * c_run * dzu(k_run) * flag
                    z_run = z_run + dzu(k_run)                   * flag
                    k_run = k_run + 1                            * flag
-                   c_run = MIN( 1.0_wp, c_qr(k_run) - z_run * ddzu(k_run) )    &
+                   c_run = MIN( 1.0_wp, c_qr(k_run) - z_run * ddzu(k_run) )                        &
                                                                 * flag
 
                 ENDDO
 !
-!--             It is not allowed to sediment more rain water content than
-!--             available
-                flux = MIN( flux,                                              &
-                            hyrho(k) * dzu(k) * qr(k,j,i) + sed_qr(k+1) *      &
-                            dt_micro                                           &
-                          )
+!--             It is not allowed to sediment more rain water content than available.
+                flux = MIN( flux, hyrho(k) * dzu(k) * qr(k,j,i) + sed_qr(k+1) * dt_micro )
 
                 sed_qr(k) = flux / dt_micro * flag
 
-                qr(k,j,i) = qr(k,j,i) + ( sed_qr(k+1) - sed_qr(k) ) *          &
+                qr(k,j,i) = qr(k,j,i) + ( sed_qr(k+1) - sed_qr(k) ) *                              &
                                         ddzu(k+1) / hyrho(k) * dt_micro * flag
-                q(k,j,i)  = q(k,j,i)  + ( sed_qr(k+1) - sed_qr(k) ) *          &
+                q(k,j,i)  = q(k,j,i)  + ( sed_qr(k+1) - sed_qr(k) ) *                              &
                                         ddzu(k+1) / hyrho(k) * dt_micro * flag
-                pt(k,j,i) = pt(k,j,i) - ( sed_qr(k+1) - sed_qr(k) ) *          &
-                                        ddzu(k+1) / hyrho(k) * lv_d_cp *       &
+                pt(k,j,i) = pt(k,j,i) - ( sed_qr(k+1) - sed_qr(k) ) *                              &
+                                        ddzu(k+1) / hyrho(k) * lv_d_cp *                           &
                                         d_exner(k) * dt_micro            * flag
 !
 !--             Compute the rain rate
                 IF ( call_microphysics_at_all_substeps )  THEN
-                   prr(k,j,i) = prr(k,j,i) + sed_qr(k) / hyrho(k)             &
-                                * weight_substep(intermediate_timestep_count) &
-                                * flag
+                   prr(k,j,i) = prr(k,j,i) + sed_qr(k) / hyrho(k)                                  &
+                                * weight_substep(intermediate_timestep_count) * flag
                 ELSE
                    prr(k,j,i) = prr(k,j,i) + sed_qr(k) / hyrho(k) * flag
@@ -6240,10 +6057,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Computation of sedimentation flux. Implementation according to Stevens
 !> and Seifert (2008). Code is based on UCLA-LES. Call for grid point i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE sedimentation_rain_ij( i, j )
 
@@ -6258,14 +6075,14 @@
        INTEGER(iwp) ::  surf_s        !< Start index of surface elements at (j,i)-gridpoint
 
-       REAL(wp)     ::  c_run                      !<
-       REAL(wp)     ::  d_max                      !<
-       REAL(wp)     ::  d_mean                     !<
-       REAL(wp)     ::  d_min                      !<
-       REAL(wp)     ::  dr                         !<
-       REAL(wp)     ::  flux                       !<
-       REAL(wp)     ::  flag                       !< flag to indicate first grid level above surface
-       REAL(wp)     ::  lambda_r                   !<
-       REAL(wp)     ::  mu_r                       !<
-       REAL(wp)     ::  z_run                      !<
+       REAL(wp)     ::  c_run                     !<
+       REAL(wp)     ::  d_max                     !<
+       REAL(wp)     ::  d_mean                    !<
+       REAL(wp)     ::  d_min                     !<
+       REAL(wp)     ::  dr                        !<
+       REAL(wp)     ::  flux                      !<
+       REAL(wp)     ::  flag                      !< flag to indicate first grid level above surface
+       REAL(wp)     ::  lambda_r                  !<
+       REAL(wp)     ::  mu_r                      !<
+       REAL(wp)     ::  z_run                     !<
 
        REAL(wp), DIMENSION(nzb:nzt+1) ::  c_nr     !<
@@ -6295,18 +6112,16 @@
 !
 !--          Slope parameter of gamma distribution (Seifert, 2008):
-             lambda_r = ( ( mu_r + 3.0_wp ) * ( mu_r + 2.0_wp ) *              &
+             lambda_r = ( ( mu_r + 3.0_wp ) * ( mu_r + 2.0_wp ) *                                  &
                           ( mu_r + 1.0_wp ) )**( 1.0_wp / 3.0_wp ) / dr
 
-             w_nr(k) = MAX( 0.1_wp, MIN( 20.0_wp,                              &
-                                         a_term - b_term * ( 1.0_wp +          &
-                                            c_term / lambda_r )**( -1.0_wp *   &
-                                            ( mu_r + 1.0_wp ) )                &
-                                        )                                      &
+             w_nr(k) = MAX( 0.1_wp, MIN( 20.0_wp,                                                  &
+                                         a_term - b_term * ( 1.0_wp + c_term / lambda_r            &
+                                                           )**( -1.0_wp * ( mu_r + 1.0_wp ) )      &
+                                       )                                                           &
                           ) * flag
-             w_qr(k) = MAX( 0.1_wp, MIN( 20.0_wp,                              &
-                                         a_term - b_term * ( 1.0_wp +          &
-                                            c_term / lambda_r )**( -1.0_wp *   &
-                                            ( mu_r + 4.0_wp ) )                &
-                                       )                                       &
+             w_qr(k) = MAX( 0.1_wp, MIN( 20.0_wp,                                                  &
+                                         a_term - b_term * ( 1.0_wp + c_term / lambda_r            &
+                                                           )**( -1.0_wp * ( mu_r + 4.0_wp ) )      &
+                                       )                                                           &
                           ) * flag
           ELSE
@@ -6345,7 +6160,7 @@
           flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
-          c_nr(k) = 0.25_wp * ( w_nr(k-1) + 2.0_wp * w_nr(k) + w_nr(k+1) ) *   &
+          c_nr(k) = 0.25_wp * ( w_nr(k-1) + 2.0_wp * w_nr(k) + w_nr(k+1) ) *                       &
                     dt_micro * ddzu(k) * flag
-          c_qr(k) = 0.25_wp * ( w_qr(k-1) + 2.0_wp * w_qr(k) + w_qr(k+1) ) *   &
+          c_qr(k) = 0.25_wp * ( w_qr(k-1) + 2.0_wp * w_qr(k) + w_qr(k+1) ) *                       &
                     dt_micro * ddzu(k) * flag
        ENDDO
@@ -6363,6 +6178,5 @@
              d_max  = MAX( qr(k+1,j,i), qr(k,j,i), qr(k-1,j,i) ) - qr(k,j,i)
 
-             qr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0_wp * d_min,        &
-                                                        2.0_wp * d_max,        &
+             qr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0_wp * d_min, 2.0_wp * d_max,            &
                                                         ABS( d_mean ) ) * flag
 
@@ -6371,6 +6185,5 @@
              d_max  = MAX( nr(k+1,j,i), nr(k,j,i), nr(k-1,j,i) ) - nr(k,j,i)
 
-             nr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0_wp * d_min,        &
-                                                        2.0_wp * d_max,        &
+             nr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0_wp * d_min,  2.0_wp * d_max,           &
                                                         ABS( d_mean ) ) * flag
           ENDDO
@@ -6392,6 +6205,5 @@
           flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 !
-!--       Sum up all rain drop number densities which contribute to the flux
-!--       through k-1/2
+!--       Sum up all rain drop number densities which contribute to the flux through k-1/2
           flux  = 0.0_wp
           z_run = 0.0_wp ! height above z(k)
@@ -6399,7 +6211,7 @@
           c_run = MIN( 1.0_wp, c_nr(k) )
           DO WHILE ( c_run > 0.0_wp  .AND.  k_run <= nzt )
-             flux  = flux + hyrho(k_run) *                                     &
-                     ( nr(k_run,j,i) + nr_slope(k_run) * ( 1.0_wp - c_run ) *  &
-                     0.5_wp ) * c_run * dzu(k_run) * flag
+             flux  = flux + hyrho(k_run) *                                                         &
+                     ( nr(k_run,j,i) + nr_slope(k_run) * ( 1.0_wp - c_run ) * 0.5_wp ) *           &
+                       c_run *  dzu(k_run)         * flag
              z_run = z_run + dzu(k_run)            * flag
              k_run = k_run + 1                     * flag
@@ -6407,11 +6219,9 @@
           ENDDO
 !
-!--       It is not allowed to sediment more rain drop number density than
-!--       available
-          flux = MIN( flux,                                                    &
-                      hyrho(k) * dzu(k+1) * nr(k,j,i) + sed_nr(k+1) * dt_micro )
+!--       It is not allowed to sediment more rain drop number density than available.
+          flux = MIN( flux, hyrho(k) * dzu(k+1) * nr(k,j,i) + sed_nr(k+1) * dt_micro )
 
           sed_nr(k) = flux / dt_micro * flag
-          nr(k,j,i)  = nr(k,j,i) + ( sed_nr(k+1) - sed_nr(k) ) * ddzu(k+1) /   &
+          nr(k,j,i)  = nr(k,j,i) + ( sed_nr(k+1) - sed_nr(k) ) * ddzu(k+1) /                       &
                                     hyrho(k) * dt_micro * flag
 !
@@ -6425,7 +6235,7 @@
           DO WHILE ( c_run > 0.0_wp  .AND.  k_run <= nzt )
 
-             flux  = flux + hyrho(k_run) *                                     &
-                     ( qr(k_run,j,i) + qr_slope(k_run) * ( 1.0_wp - c_run ) *  &
-                     0.5_wp ) * c_run * dzu(k_run) * flag
+             flux  = flux + hyrho(k_run) *                                                         &
+                     ( qr(k_run,j,i) + qr_slope(k_run) * ( 1.0_wp - c_run ) * 0.5_wp ) *           &
+                       c_run * dzu(k_run)          * flag
              z_run = z_run + dzu(k_run)            * flag
              k_run = k_run + 1                     * flag
@@ -6434,21 +6244,19 @@
           ENDDO
 !
-!--       It is not allowed to sediment more rain water content than available
-          flux = MIN( flux,                                                    &
-                      hyrho(k) * dzu(k) * qr(k,j,i) + sed_qr(k+1) * dt_micro )
+!--       It is not allowed to sediment more rain water content than available.
+          flux = MIN( flux, hyrho(k) * dzu(k) * qr(k,j,i) + sed_qr(k+1) * dt_micro )
 
           sed_qr(k) = flux / dt_micro * flag
 
-          qr(k,j,i) = qr(k,j,i) + ( sed_qr(k+1) - sed_qr(k) ) * ddzu(k+1) /    &
+          qr(k,j,i) = qr(k,j,i) + ( sed_qr(k+1) - sed_qr(k) ) * ddzu(k+1) /                        &
                                 hyrho(k) * dt_micro * flag
-          q(k,j,i)  = q(k,j,i)  + ( sed_qr(k+1) - sed_qr(k) ) * ddzu(k+1) /    &
+          q(k,j,i)  = q(k,j,i)  + ( sed_qr(k+1) - sed_qr(k) ) * ddzu(k+1) /                        &
                                 hyrho(k) * dt_micro * flag
-          pt(k,j,i) = pt(k,j,i) - ( sed_qr(k+1) - sed_qr(k) ) * ddzu(k+1) /    &
-                                hyrho(k) * lv_d_cp * d_exner(k) * dt_micro     &
-                                                                * flag
+          pt(k,j,i) = pt(k,j,i) - ( sed_qr(k+1) - sed_qr(k) ) * ddzu(k+1) /                        &
+                                hyrho(k) * lv_d_cp * d_exner(k) * dt_micro * flag
 !
 !--       Compute the rain rate
           IF ( call_microphysics_at_all_substeps )  THEN
-             prr(k,j,i) = prr(k,j,i) + sed_qr(k) / hyrho(k)                    &
+             prr(k,j,i) = prr(k,j,i) + sed_qr(k) / hyrho(k)                                        &
                           * weight_substep(intermediate_timestep_count) * flag
           ELSE
@@ -6461,10 +6269,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Computation of the precipitation amount due to gravitational settling of
-!> rain and cloud (fog) droplets
-!------------------------------------------------------------------------------!
+!> Computation of the precipitation amount due to gravitational settling of rain and cloud (fog)
+!> droplets
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE calc_precipitation_amount
 
@@ -6476,17 +6284,15 @@
        INTEGER(iwp) ::  m             !< running index surface elements
 
-       IF ( ( dt_do2d_xy - time_do2d_xy ) < precipitation_amount_interval .AND.&
-            ( .NOT. call_microphysics_at_all_substeps .OR.                     &
-            intermediate_timestep_count == intermediate_timestep_count_max ) ) &
+       IF ( ( dt_do2d_xy - time_do2d_xy ) < precipitation_amount_interval .AND.                    &
+            ( .NOT. call_microphysics_at_all_substeps .OR.                                         &
+            intermediate_timestep_count == intermediate_timestep_count_max ) )                     &
        THEN
 !
-!--       Run over all upward-facing surface elements, i.e. non-natural,
-!--       natural and urban
+!--       Run over all upward-facing surface elements, i.e. non-natural, natural and urban
           DO  m = 1, bc_h(0)%ns
              i = bc_h(0)%i(m)
              j = bc_h(0)%j(m)
              k = bc_h(0)%k(m)
-             precipitation_amount(j,i) = precipitation_amount(j,i) +           &
-                                               prr(k,j,i) * hyrho(k) * dt_3d
+             precipitation_amount(j,i) = precipitation_amount(j,i) + prr(k,j,i) * hyrho(k) * dt_3d
           ENDDO
 
@@ -6496,10 +6302,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> This subroutine computes the precipitation amount due to gravitational
-!> settling of rain and cloud (fog) droplets
-!------------------------------------------------------------------------------!
+!> This subroutine computes the precipitation amount due to gravitational settling of rain and cloud
+!> (fog) droplets
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE calc_precipitation_amount_ij( i, j )
 
@@ -6513,7 +6319,7 @@
        INTEGER(iwp) ::  surf_s        !< Start index of surface elements at (j,i)-gridpoint
 
-       IF ( ( dt_do2d_xy - time_do2d_xy ) < precipitation_amount_interval .AND.&
-            ( .NOT. call_microphysics_at_all_substeps .OR.                     &
-            intermediate_timestep_count == intermediate_timestep_count_max ) ) &
+       IF ( ( dt_do2d_xy - time_do2d_xy ) < precipitation_amount_interval .AND.                    &
+            ( .NOT. call_microphysics_at_all_substeps .OR.                                         &
+            intermediate_timestep_count == intermediate_timestep_count_max ) )                     &
        THEN
 
@@ -6522,6 +6328,5 @@
           DO  m = surf_s, surf_e
              k                         = bc_h(0)%k(m)
-             precipitation_amount(j,i) = precipitation_amount(j,i) +           &
-                                               prr(k,j,i) * hyrho(k) * dt_3d
+             precipitation_amount(j,i) = precipitation_amount(j,i) + prr(k,j,i) * hyrho(k) * dt_3d
           ENDDO
 
@@ -6531,10 +6336,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Computation of the diagnostic supersaturation sat, actual liquid water
-!< temperature t_l and saturation water vapor mixing ratio q_s
-!------------------------------------------------------------------------------!
+!> Computation of the diagnostic supersaturation sat, actual liquid water temperature t_l and
+!> saturation water vapor mixing ratio q_s
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE supersaturation ( i,j,k )
 
@@ -6559,18 +6364,17 @@
        alpha = rd_d_rv * lv_d_rd * lv_d_cp / ( t_l * t_l )
 !
-!--    Correction of the approximated value
-!--    (see: Cuijpers + Duynkerke, 1993, JAS, 23)
+!--    Correction of the approximated value (see: Cuijpers + Duynkerke, 1993, JAS, 23)
        q_s   = q_s * ( 1.0_wp + alpha * q(k,j,i) ) / ( 1.0_wp + alpha * q_s )
 
-       IF ( .NOT. microphysics_ice_phase ) THEN
-          IF ( microphysics_seifert ) THEN
+       IF ( .NOT. microphysics_ice_phase )  THEN
+          IF ( microphysics_seifert )  THEN
              sat = ( q(k,j,i) - qr(k,j,i) - qc(k,j,i) ) / q_s - 1.0_wp
-          ELSEIF ( microphysics_morrison_no_rain ) THEN
+          ELSEIF ( microphysics_morrison_no_rain )  THEN
              sat = ( q(k,j,i) - qc(k,j,i) ) / q_s - 1.0_wp
           ENDIF
        ELSE
-          IF ( microphysics_seifert ) THEN
+          IF ( microphysics_seifert )  THEN
              sat = ( q(k,j,i) - qr(k,j,i) - qc(k,j,i) - qi(k,j,i) ) / q_s - 1.0_wp
-          ELSEIF ( microphysics_morrison_no_rain ) THEN
+          ELSEIF ( microphysics_morrison_no_rain )  THEN
              sat = ( q(k,j,i) - qc(k,j,i) - qi(k,j,i) ) / q_s - 1.0_wp
           ENDIF
@@ -6579,10 +6383,10 @@
     END SUBROUTINE supersaturation
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Computation of the diagnostic supersaturation sat, actual liquid water
-!< temperature t_l and saturation water vapor mixing ratio q_s
-!------------------------------------------------------------------------------!
+!> Computation of the diagnostic supersaturation sat, actual liquid water temperature t_l and
+!> saturation water vapor mixing ratio q_s
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE supersaturation_ice ( i, j, k )
 
@@ -6600,6 +6404,5 @@
        temp = t_l + lv_d_cp * ql(k,j,i) + ls_d_cp * qi(k,j,i)
 !
-!--    Calculate water vapor saturation pressure with formular using actual
-!--    temperature
+!--    Calculate water vapor saturation pressure with formular using actual temperature
        e_si = magnus_ice( temp )
 !
@@ -6608,10 +6411,9 @@
 !
 !--    Current vapor pressure
-       e_a = (   q(k,j,i) - qr(k,j,i) - qc(k,j,i) - qi(k,j,i) ) * hyp(k) /     &
+       e_a = (   q(k,j,i) - qr(k,j,i) - qc(k,j,i) - qi(k,j,i) ) * hyp(k) /                         &
              ( ( q(k,j,i) - qr(k,j,i) - qc(k,j,i) - qi(k,j,i) ) + rd_d_rv )
 !
 !--    Supersaturation:
-!--    Not in case of microphysics_kessler or microphysics_sat_adjust
-!--    since qr is unallocated
+!--    Not in case of microphysics_kessler or microphysics_sat_adjust since qr is unallocated
        sat_ice = e_a / e_si - 1.0_wp
 
@@ -6619,11 +6421,11 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculation of the liquid water content (0%-or-100%-scheme). This scheme is
-!> used by the one and the two moment cloud physics scheme. Using the two moment
-!> scheme, this calculation results in the cloud water content.
-!------------------------------------------------------------------------------!
+!> Calculation of the liquid water content (0%-or-100%-scheme). This scheme is used by the one and
+!> the two moment cloud physics scheme. Using the two moment scheme, this calculation results in the
+!> cloud water content.
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE calc_liquid_water_content
 
@@ -6646,6 +6448,5 @@
 !--             Compute the liquid water content
                 IF ( .NOT. microphysics_ice_phase ) THEN
-                   IF ( microphysics_seifert  .AND. .NOT.                      &
-                        microphysics_morrison )  THEN
+                   IF ( microphysics_seifert  .AND. .NOT. microphysics_morrison )  THEN
 !--                   Seifert and Beheng scheme: saturation adjustment
                       IF ( ( q(k,j,i) - q_s - qr(k,j,i) ) > 0.0_wp )  THEN
@@ -6659,11 +6460,11 @@
 !
 !--                Morrison scheme: explicit condensation (see above)
-                   ELSEIF ( microphysics_morrison  .AND.                       &
-                            microphysics_seifert )  THEN
+                   ELSEIF ( microphysics_morrison  .AND.  microphysics_seifert )  THEN
                       ql(k,j,i) = qc(k,j,i) + qr(k,j,i) * flag
+!
 !--                Morrison without rain: explicit condensation
-                   ELSEIF ( microphysics_morrison  .AND.                       &
-                            .NOT. microphysics_seifert )  THEN
+                   ELSEIF ( microphysics_morrison  .AND. .NOT. microphysics_seifert )  THEN
                       ql(k,j,i) = qc(k,j,i)
+!
 !--                Kessler and saturation adjustment scheme
                    ELSE
@@ -6676,16 +6477,12 @@
                       ENDIF
                    ENDIF
-!--             Calculations of liquid water content in case of mixed-phase
-!--             cloud microphyics
+!--             Calculations of liquid water content in case of mixed-phase cloud microphyics
                 ELSE
-                   IF ( microphysics_seifert  .AND.                            &
-                        .NOT. microphysics_morrison ) &
+                   IF ( microphysics_seifert  .AND. .NOT. microphysics_morrison ) &
                    THEN
 !
 !--                   Seifert and Beheng scheme: saturation adjustment
-                      IF ( ( q(k,j,i)                                          &
-                             - q_s - qr(k,j,i) - qi(k,j,i) ) > 0.0_wp )  THEN
-                         qc(k,j,i) = ( q(k,j,i) - q_s - qr(k,j,i) - qi(k,j,i) )&
-                                       * flag
+                      IF ( ( q(k,j,i) - q_s - qr(k,j,i) - qi(k,j,i) ) > 0.0_wp )  THEN
+                         qc(k,j,i) = ( q(k,j,i) - q_s - qr(k,j,i) - qi(k,j,i) ) * flag
                          ql(k,j,i) = ( qc(k,j,i) + qr(k,j,i) ) * flag
                       ELSE
@@ -6696,12 +6493,13 @@
                          ql(k,j,i) = qr(k,j,i) * flag
                       ENDIF
+!
 !--                Morrison scheme: explicit condensation (see above)
-                   ELSEIF ( microphysics_morrison  .AND.                       &
-                            microphysics_seifert )  THEN
+                   ELSEIF ( microphysics_morrison  .AND.  microphysics_seifert )  THEN
                       ql(k,j,i) = qc(k,j,i) + qr(k,j,i) * flag
+!
 !--                Morrison without rain: explicit condensation
-                   ELSEIF ( microphysics_morrison  .AND.                       &
-                            .NOT. microphysics_seifert )  THEN
+                   ELSEIF ( microphysics_morrison  .AND. .NOT. microphysics_seifert )  THEN
                       ql(k,j,i) = qc(k,j,i)
+!
 !--                Kessler and saturation adjustment scheme
                    ELSE
@@ -6721,11 +6519,10 @@
     END SUBROUTINE calc_liquid_water_content
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> This function computes the gamma function (Press et al., 1992).
-!> The gamma function is needed for the calculation of the evaporation
-!> of rain drops.
-!------------------------------------------------------------------------------!
+!> The gamma function is needed for the calculation of the evaporation of rain drops.
+!--------------------------------------------------------------------------------------------------!
     FUNCTION gamm( xx )
 
@@ -6743,9 +6540,9 @@
 
        REAL(wp), PARAMETER  ::  stp = 2.5066282746310005_wp               !<
-       REAL(wp), PARAMETER  ::  cof(6) = (/ 76.18009172947146_wp,      &
-                                           -86.50532032941677_wp,      &
-                                            24.01409824083091_wp,      &
-                                            -1.231739572450155_wp,     &
-                                             0.1208650973866179E-2_wp, &
+       REAL(wp), PARAMETER  ::  cof(6) = (/ 76.18009172947146_wp,                                  &
+                                           -86.50532032941677_wp,                                  &
+                                            24.01409824083091_wp,                                  &
+                                            -1.231739572450155_wp,                                 &
+                                             0.1208650973866179E-2_wp,                             &
                                             -0.5395239384953E-5_wp /)     !<
 
@@ -6762,7 +6559,7 @@
 
 !
-!--    Until this point the algorithm computes the logarithm of the gamma
-!--    function. Hence, the exponential function is used.
-!       gamm = EXP( tmp + LOG( stp * ser / x_gamm ) )
+!--    Until this point the algorithm computes the logarithm of the gamma function. Hence, the
+!--    exponential function is used.
+!      gamm = EXP( tmp + LOG( stp * ser / x_gamm ) )
        gamm = EXP( tmp ) * stp * ser / x_gamm
 
